wanichan's web tips

Expression Web ユーザー向けにサイト制作のコツと問題解決のヒントを取り上げていきます。

IE8以下のブラウザーの考慮はしなくていい?

今からサイトを制作するのにブラウザー対応はどうすればいいか、気になるところだと思います。メインサイト wanichan.com でのブラウザーとかOSの内訳データをメインブログに書きましたが、

Expression Webユーザー向けのコンテンツ記事を書いてた当初は、まだまだIE8対応が必要でした。しかし、今ではほぼないといっていいでしょう。

f:id:wanichan:20170330095958p:plain

としたら、ややこしいJSファイルやら不要になるんじゃないかと思います。

とりあえず私のサイトの<head>エリア内こんな感じに記述していて、

<!--[if lt IE 9]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<script src="http://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
<![endif]-->

 <body>の次の行にはこんな感じに入れてます。

<body>
<!--[if lte IE 8]>
<p class="point" style="margin:0 0 1px 0;">現在ご使用のブラウザではこのサイトが正しく表示されない可能性があります。最新版のブラウザをご使用ください。</p>
<![endif]-->

消すのも面倒だからそのままにしてますけど、これからHTML 5とCSS 3でホムペを作りたい人は、ブラウザー対応はあえてしなくてもいいでしょう。